"use strict";
const index_1 = require("../index");
/**
 * Decorator registers a new naming strategy to be used in naming things.
 */
function NamingStrategy(name) {
    return function (target) {
        const strategyName = name ? name : target.name;
        const args = {
            target: target,
            name: strategyName
        };
        index_1.getMetadataArgsStorage().namingStrategies.add(args);
    };
}
exports.NamingStrategy = NamingStrategy;

//# sourceMappingURL=NamingStrategy.js.map
