"use strict";
const index_1 = require("../../index");
/**
 * Special decorator used to extract relation id into separate entity property.
 */
function RelationId(relation) {
    return function (object, propertyName) {
        const args = {
            target: object.constructor,
            propertyName: propertyName,
            relation: relation
        };
        index_1.getMetadataArgsStorage().relationIds.add(args);
    };
}
exports.RelationId = RelationId;

//# sourceMappingURL=RelationId.js.map
